DCMTK: DcmStdoutStream Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmStdoutStream Class Reference

output stream that writes to standard output More...

Inheritance diagram for DcmStdoutStream:

## Public Member Functions
| DcmStdoutStream (const OFFilename &filename)
| constructor
| DcmStdoutStream (FILE *file)
| constructor
virtual | ~DcmStdoutStream ()
| destructor
Public Member Functions inherited from DcmOutputStream
virtual | ~DcmOutputStream ()
| destructor
virtual OFBool | good () const
| returns the status of the stream.
virtual OFCondition | status () const
| returns the status of the consumer as an OFCondition object.
virtual OFBool | isFlushed () const
| returns true if the stream is flushed, i.e.
virtual offile_off_t | avail () const
| returns the minimum number of bytes that can be written with the next call to write().
virtual offile_off_t | write (const void *buf, offile_off_t buflen)
| processes as many bytes as possible from the given input block.
virtual void | flush ()
| instructs the stream to flush its internal content until either the stream becomes "flushed" or I/O suspension occurs.
virtual offile_off_t | tell () const
| returns the total number of bytes written to the stream so far
virtual OFCondition | installCompressionFilter (E_StreamCompression filterType)
| installs a compression filter for the given stream compression type, which should be neither ESC_none nor ESC_unsupported.

## Private Member Functions
| DcmStdoutStream (const DcmStdoutStream &)
| private unimplemented copy constructor
DcmStdoutStream & | operator= (const DcmStdoutStream &)
| private unimplemented copy assignment operator

## Private Attributes
DcmStdoutConsumer | consumer_
| the final consumer of the filter chain

## Additional Inherited Members
Protected Member Functions inherited from DcmOutputStream
| DcmOutputStream (DcmConsumer *initial)
| protected constructor, to be called from derived class constructor

## Detailed Description

output stream that writes to standard output

## Constructor & Destructor Documentation

## ◆ DcmStdoutStream() [1/2]

DcmStdoutStream::DcmStdoutStream | ( | const OFFilename & | filename | ) |

constructor

Parameters

  filename | name of file to be created (may contain wide chars if support enabled)

Referenced by DcmStdoutStream(), and operator=().

## ◆ DcmStdoutStream() [2/2]

DcmStdoutStream::DcmStdoutStream | ( | FILE * | file | ) |

constructor

Parameters

  file | structure, file must already be open for writing

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcostrms.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2